package org.cs.mgr.user.service;

import java.util.List;
import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.user.model.MgmCustomer;

/**
 * 
 * @ClassName: IMgmCustomerService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
public interface IMgmCustomerService extends IBaseService<MgmCustomer> {

	Pager getMgmCustomers(Pager page,Map<String, String> map);
 
	boolean delMgmCustomer(Integer id);
	
	boolean addMgmCustomer(MgmCustomer mgmCustomer);
	
	boolean updateMgmCustomer(MgmCustomer mgmCustomer);
	
	public JSONObject addMgmCustomer(Map<String, String> map);
	
	public JSONObject updateMgmCustomer(Map<String, String> map);
	
	Pager getMgmCustomerList(Map<String,String> map);
	
	MgmCustomer getMgmCustomerById(Map<String,String> map);
 
	public JSONObject queryMyMgmCustomer(Pager page,Integer userId);
	
	List<MgmCustomer> getMgmCustomerList(String userId);
	
	JSONObject deleteMgmCustomer(Map<String, String> map);
	
}
